<template>
    <div class="card-body">
        <form method="POST" :action="ruta">
            <h4 class="text-primary mb-4">¡Iniciar sesión!</h4>
            <input type="hidden" name="_token" v-model="csrf" />
            <input type="hidden" name="vue-form" value="true" />
            <h4 class="text-primary mb-4">¡Completar datos de inscripción!</h4>
            <div class="form-group">
                <input
                    type="text"
                    placeholder="Ingrese su nombre"
                    class="form-control"
                    name="firstname"
                    required
                    autocomplete="fisrtname"
                    autofocus
                    v-model="user.firstname"
                />
                <p v-if="!$v.user.firstname.required" class="text-danger">
                    Debe completar el campo nombre ya que es requerido
                </p>
            </div>
            <div class="form-group">
                <input
                    type="text"
                    placeholder="Ingrese su apellido"
                    class="form-control"
                    name="lastname"
                    required
                    autocomplete="lastname"
                    autofocus
                    v-model="user.lastname"
                />
            </div>
            <p v-if="!$v.user.lastname.required" class="text-danger">
                Debe completar el campo apellido ya que es requerido
            </p>
            <div class="form-group">
                <input
                    type="email"
                    placeholder="Ingrese su correo electrónico"
                    class="form-control"
                    name="email"
                    required
                    autocomplete="email"
                    v-model="user.email"
                />
            </div>
            <p v-if="!$v.user.email.required" class="text-danger">
                Debe completar el campo email ya que es requerido
            </p>
            <p v-if="!$v.user.email.email" class="text-danger">
                Debe ingresar un correo valido
            </p>
            <div class="form-group">
                <input
                    type="password"
                    placeholder="Ingrese su contraseña"
                    class="form-control"
                    name="password"
                    required
                    autocomplete="new-password"
                    v-model="user.password"
                />
            </div>
            <p v-if="!$v.user.password.required" class="text-danger">
                Debe completar el campo contraseña ya que es requerido
            </p>
            <p v-if="!$v.user.password.minLength" class="text-danger">
                La contraseña debe tener al menos 8 caracteres
            </p>
            <div class="form-group">
                <input
                    type="password"
                    placeholder="Reingrese su contraseña"
                    class="form-control"
                    name="password_confirmation"
                    required
                    autocomplete="new-password"
                    v-model="user.confirm_password"
                />
            </div>
            <p v-if="!$v.user.confirm_password.required" class="text-danger">
                Debe confirmar la contraseña.
            </p>
            <p
                v-if="user.password != user.confirm_password"
                class="text-danger"
            >
                Las contraseñas no coinciden
            </p>
            <div class="form-row mb-3">
                <div class="col-sm-12">
                    <div class="custom-control custom-checkbox">
                        <input
                            type="checkbox"
                            class="custom-control-input"
                            id="terms"
                        />
                        <label class="custom-control-label font-14" for="terms"
                            >Acepto los terminos y condiciones establecidos por
                            Megalca Academy</label
                        >
                    </div>
                </div>
            </div>
            <button
                v-show="!$v.user.$invalid"
                type="submit"
                class="btn btn-success btn-lg btn-block font-18"
                @click.prevent="submitForm"
            >
                Inscribirse
            </button>
        </form>
    </div>
</template>
<script>
import { required, minLength, between, email } from "vuelidate/lib/validators";
export default {
    props: ["token", "registro"],
    mounted() {},
    data() {
        return {
            csrf: this.token,
            ruta: this.registro,
            user: {
                email: null,
                firstname: null,
                lastname: null,
                password: null,
                confirm_password: null
            }
        };
    },
    validations: {
        user: {
            email: { required, email },
            firstname: { required },
            lastname: { required },
            password: { required, minLength: minLength(8) },
            confirm_password: { required }
        }
    },
    methods: {
        async submitForm() {
            await this.$emit("saveFormat");
            let form = document.getElementById("loginFormVue");
            form.submit();
        }
    }
};
</script>
